summaryrefslogtreecommitdiffstats
path: root/source/xap/xmms
diff options
context:
space:
mode:
Diffstat (limited to 'source/xap/xmms')
-rwxr-xr-xsource/xap/xmms/xmms.SlackBuild7
-rw-r--r--source/xap/xmms/xmms.alsa.default.diff11
2 files changed, 15 insertions, 3 deletions
diff --git a/source/xap/xmms/xmms.SlackBuild b/source/xap/xmms/xmms.SlackBuild
index 042d8310e..e66739532 100755
--- a/source/xap/xmms/xmms.SlackBuild
+++ b/source/xap/xmms/xmms.SlackBuild
@@ -22,7 +22,7 @@
VERSION=1.2.11
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-5}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -65,8 +65,9 @@ rm -rf xmms-$VERSION
tar xvf $CWD/xmms-$VERSION.tar.bz2 || exit 1
cd xmms-$VERSION || exit 1
-zcat $CWD/xmms.gtk.doublesize.diff.gz | patch -p1 || exit 1
-zcat $CWD/xmms.wmxmms_vis_depth_workaround.diff.gz | patch -p0 || exit 1
+zcat $CWD/xmms.gtk.doublesize.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/xmms.wmxmms_vis_depth_workaround.diff.gz | patch -p0 --verbose || exit 1
+zcat $CWD/xmms.alsa.default.diff.gz | patch -p1 --verbose || exit 1
chown -R root:root .
find . \
diff --git a/source/xap/xmms/xmms.alsa.default.diff b/source/xap/xmms/xmms.alsa.default.diff
new file mode 100644
index 000000000..22f378577
--- /dev/null
+++ b/source/xap/xmms/xmms.alsa.default.diff
@@ -0,0 +1,11 @@
+--- ./xmms/main.c.orig 2006-07-16 08:40:04.000000000 -0500
++++ ./xmms/main.c 2013-05-02 21:25:33.648185044 -0500
+@@ -502,7 +502,7 @@
+ if (cfg.outputplugin == NULL)
+ {
+ #ifdef HAVE_OSS
+- cfg.outputplugin = g_strdup_printf("%s/%s/libOSS.so", PLUGIN_DIR, plugin_dir_list[0]);
++ cfg.outputplugin = g_strdup_printf("%s/%s/libALSA.so", PLUGIN_DIR, plugin_dir_list[0]);
+ #elif defined(sun)
+ cfg.outputplugin = g_strdup_printf("%s/%s/libSolaris.so", PLUGIN_DIR, plugin_dir_list[0]);
+ #else